FROM python:3.12-slim-bookworm

COPY --from=ghcr.io/astral-sh/uv:latest /uv /uvx /bin/
WORKDIR /app

RUN --mount=type=cache,target=/root/.cache/uv \
    --mount=type=bind,source=uv.lock,target=uv.lock \
    --mount=type=bind,source=pyproject.toml,target=pyproject.toml \
    uv sync --frozen --no-install-project

COPY ./kredens/ /app/kredens
COPY \
    manage.py \
    pyproject.toml \
    uv.lock \
    /app/
RUN --mount=type=cache,target=/root/.cache/uv \
    uv sync --frozen

ENTRYPOINT [ "uv", "run", "python", "./manage.py" ]
CMD [ "runserver", "0.0.0.0:8000"]
